std::recursive_mutex Class Reference
Concurrency » Mutexes

`#include <mutex>`

## Public Types

typedef __native_type * | native_handle_type

## Public Member Functions

| recursive_mutex (const recursive_mutex &)=delete
void | lock ()
native_handle_type | native_handle () noexcept
recursive_mutex & | operator= (const recursive_mutex &)=delete
bool | try_lock () noexcept
void | unlock ()

## Detailed Description

The standard recursive mutex type.

A recursive mutex can be locked more than once by the same thread. Other threads cannot lock the mutex until the owning thread unlocks it as many times as it was locked.

Since
  C++11

Definition at line 106 of file mutex.

## Member Typedef Documentation

## native_handle_type

typedef __native_type* std::recursive_mutex::native_handle_type

Definition at line 109 of file mutex.

## Member Function Documentation

## lock()

void std::recursive_mutex::lock | ( |  | ) |

inline

Definition at line 118 of file mutex.

## native_handle()

native_handle_type std::recursive_mutex::native_handle | ( |  | ) |

inline noexcept

Definition at line 143 of file mutex.

## try_lock()

bool std::recursive_mutex::try_lock | ( |  | ) |

inline nodiscard noexcept

Definition at line 129 of file mutex.

## unlock()

void std::recursive_mutex::unlock | ( |  | ) |

inline

Definition at line 136 of file mutex.

The documentation for this class was generated from the following file:

- mutex